FugokuFugoku Docs
Mask

Batch Operations

Bulk actions on resources

Batch Operations

Perform bulk actions on multiple resources at once.

Batch Action

POST /v1/batch/batch/action

Apply an action to multiple resources simultaneously.

Request Body:

FieldTypeDescription
actionstringAction to perform (start, stop, reboot, delete)
resourceTypestringResource type (instances, servers)
resourceIdsarrayArray of resource IDs
curl -X POST https://api.fugoku.com/v1/batch/batch/action \
  -H "X-Fugoku-API-Key: $FUGOKU_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "action": "stop",
    "resourceType": "instances",
    "resourceIds": ["inst-1", "inst-2", "inst-3"]
  }'

Batch Delete

POST /v1/batch/batch/delete

Delete multiple resources at once.

curl -X POST https://api.fugoku.com/v1/batch/batch/delete \
  -H "X-Fugoku-API-Key: $FUGOKU_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "resourceType": "instances",
    "resourceIds": ["inst-1", "inst-2"]
  }'

Batch Status

GET /v1/batch/batch/status

Check the status of a batch operation.

curl "https://api.fugoku.com/v1/batch/batch/status?batchId=batch-abc123" \
  -H "X-Fugoku-API-Key: $FUGOKU_API_TOKEN"

On this page